package com.foreverwin.mesnac.console;

import com.foreverwin.mesnac.common.erp.ZprodordconfStruIn;
import com.foreverwin.mesnac.common.erp.holders.TableOfZprodordconfStruInHolder;
import com.foreverwin.mesnac.common.util.ERPAPI;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.math.BigDecimal;
import java.rmi.RemoteException;


@RunWith(SpringRunner.class)
@SpringBootTest(classes = Application.class)
public class TmdMc {




    @Test
    public void callErpWebService() throws RemoteException {
        ZprodordconfStruIn struIn = new ZprodordconfStruIn();
        //生产订单
        struIn.setAufnr("SO20210714");
        //步骤标示
        struIn.setVornr("OP001");
        struIn.setAueru("1");
        //良品数量
        struIn.setLmnga(new BigDecimal(10));
        //报废数量
        struIn.setXmnga(new BigDecimal(1));
        //机器工时
        struIn.setIsm01(new BigDecimal(1));
        //人工工时
        struIn.setIsm02(new BigDecimal(1));
        struIn.setIsm03(new BigDecimal(1));
        struIn.setIsm04(new BigDecimal(1));
        struIn.setIsm05(new BigDecimal(1));
        struIn.setIsm06(new BigDecimal(1));

        ZprodordconfStruIn [] zprodordconfStruIns = new ZprodordconfStruIn[]{struIn};
        TableOfZprodordconfStruInHolder inHolder = new TableOfZprodordconfStruInHolder(zprodordconfStruIns);
        String erpJson = ERPAPI.erpWebService().zmesProdordconf(inHolder, null);
        System.out.println("ERP接口返回：" + erpJson);
    }
}
